Package org.apache.catalina.filters

## Class ExpiresFilter.Duration

- java.lang.Object
- - org.apache.catalina.filters.ExpiresFilter.Duration

Enclosing class:
  ExpiresFilter

    protected static class ExpiresFilter.Duration
    extends Object

Duration composed of an `amount` and a `unit`

### Field Summary

Fields
`protected int` `amount`
`protected ExpiresFilter.DurationUnit` `unit`

### Constructor Summary

Constructors
`Duration​(int amount, ExpiresFilter.DurationUnit unit)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAmount()`
`ExpiresFilter.DurationUnit` `getUnit()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### amount

    protected final int amount

#### unit

    protected final ExpiresFilter.DurationUnit unit

### Constructor Detail

#### Duration

    public Duration​(int amount,
                    ExpiresFilter.DurationUnit unit)

### Method Detail

#### getAmount

    public int getAmount()

#### getUnit

    public ExpiresFilter.DurationUnit getUnit()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`